# Class yii\db\cubrid\conditions\LikeConditionBuilder

Inheritance | yii\db\cubrid\conditions\LikeConditionBuilder » yii\db\conditions\LikeConditionBuilder
Implements | yii\db\ExpressionBuilderInterface
Uses Traits | yii\db\ExpressionBuilderTrait
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/cubrid/conditions/LikeConditionBuilder.php

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$escapeCharacter | string|null | Character used to escape special characters in LIKE conditions. | yii\db\cubrid\conditions\LikeConditionBuilder
$escapingReplacements |  | `\` is initialized in buildLikeCondition() method since we need to choose replacement value based on yii\db\Schema::quoteValue(). | yii\db\cubrid\conditions\LikeConditionBuilder
$queryBuilder | yii\db\QueryBuilder |  | yii\db\ExpressionBuilderTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | ExpressionBuilderTrait constructor. | yii\db\ExpressionBuilderTrait
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\conditions\LikeConditionBuilder

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
parseOperator() |  | yii\db\conditions\LikeConditionBuilder

## Property Details

$escapeCharacter protected property

Character used to escape special characters in LIKE conditions. By default it's assumed to be `\`.

protected string|null $escapeCharacter = '!'
$escapingReplacements protected property

{@inheritdoc}

protected $escapingReplacements = ['%' => '!%', '_' => '!_', '!' => '!!']